From 68c8dbb9043b2e7f9a428563d3083bc1e1f07863 Mon Sep 17 00:00:00 2001
From: Isira-Seneviratne <isirasen96@gmail.com>
Date: Wed, 2 Jan 2019 18:27:59 +0530
Subject: [PATCH] po: Update French translation

Signed-off-by: Isira-Seneviratne <isirasen96@gmail.com>
---
 po/fr.po | 83 ++++++++++++++++++++++----------------------------------
 1 file changed, 32 insertions(+), 51 deletions(-)

diff --git a/po/fr.po b/po/fr.po
index ec9d21437a..7c51259fb7 100644
--- a/po/fr.po
+++ b/po/fr.po
@@ -5,13 +5,14 @@ msgstr ""
 "Project-Id-Version: Wine\n"
 "Report-Msgid-Bugs-To: https://bugs.winehq.org\n"
 "POT-Creation-Date: N/A\n"
-"PO-Revision-Date: 2016-10-20 16:19+0100\n"
-"Last-Translator: Frédéric Delanoy <frederic.delanoy@gmail.com>\n"
+"PO-Revision-Date: 2019-01-02 18:31+0530\n"
+"Last-Translator: Isira Seneviratne <isirasen96@gmail.com>\n"
 "Language-Team: French\n"
 "Language: fr\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"X-Generator: Poedit 2.2\n"
 
 #: appwiz.rc:58
 msgid "Install/Uninstall"
@@ -320,18 +321,16 @@ msgid "%1!u! %2 and %3!u! %4 remaining"
 msgstr ""
 
 #: browseui.rc:31
-#, fuzzy
-#| msgid "&Seconds"
 msgid "seconds"
-msgstr "&Secondes"
+msgstr "secondes"
 
 #: browseui.rc:32
 msgid "minutes"
-msgstr ""
+msgstr "minutes"
 
 #: browseui.rc:33
 msgid "hours"
-msgstr ""
+msgstr "heures"
 
 #: comctl32.rc:68 winefile.rc:157
 msgid "Properties for %s"
@@ -3545,14 +3544,12 @@ msgid "Address:"
 msgstr "Adresse"
 
 #: inetcpl.rc:130
-#, fuzzy
-#| msgid "&Local server"
 msgid "Proxy server"
-msgstr "Serveur &local"
+msgstr "Serveur proxy"
 
 #: inetcpl.rc:131
 msgid "Use a proxy server"
-msgstr ""
+msgstr "Utiliser un serveur proxy"
 
 #: inetcpl.rc:134
 #, fuzzy
@@ -8777,10 +8774,8 @@ msgid "&Archive"
 msgstr "&Archive"
 
 #: shell32.rc:386
-#, fuzzy
-#| msgid "Open:"
 msgid "Open with:"
-msgstr "Ouvrir :"
+msgstr "Ouvrir avec :"
 
 #: shell32.rc:389
 #, fuzzy
@@ -9224,83 +9219,75 @@ msgstr "Sélectionnez un dossier"
 
 #: tzres.rc:82
 msgid "China Standard Time"
-msgstr ""
+msgstr "Heure normale de la Chine"
 
 #: tzres.rc:83
 msgid "China Daylight Time"
-msgstr ""
+msgstr "Heure avancée de la Chine"
 
 #: tzres.rc:160
 msgid "North Asia Standard Time"
-msgstr ""
+msgstr "Heure normale d'Asie du Nord"
 
 #: tzres.rc:161
 msgid "North Asia Daylight Time"
-msgstr ""
+msgstr "Heure avancée d'Asie du Nord"
 
 #: tzres.rc:104
 msgid "Georgian Standard Time"
-msgstr ""
+msgstr "Heure normale géorgienne"
 
 #: tzres.rc:105
 msgid "Georgian Daylight Time"
-msgstr ""
+msgstr "Heure avancée géorgienne"
 
 #: tzres.rc:152
 msgid "Nepal Standard Time"
-msgstr ""
+msgstr "Heure normale du Népal"
 
 #: tzres.rc:153
 msgid "Nepal Daylight Time"
-msgstr ""
+msgstr "Heure avancée du Népal"
 
 #: tzres.rc:60
 msgid "Cape Verde Standard Time"
-msgstr ""
+msgstr "Heure normale du Cap-Vert"
 
 #: tzres.rc:61
 msgid "Cape Verde Daylight Time"
-msgstr ""
+msgstr "Heure avancée du Cap-Vert"
 
 #: tzres.rc:74
-#, fuzzy
-#| msgid "Central European"
 msgid "Central European Standard Time"
-msgstr "Européen central"
+msgstr "Heure normale d'Européen central"
 
 #: tzres.rc:75
-#, fuzzy
-#| msgid "Central European"
 msgid "Central European Daylight Time"
-msgstr "Européen central"
+msgstr "Heure avancée d'Européen central"
 
 #: tzres.rc:140
 msgid "Morocco Standard Time"
-msgstr ""
+msgstr "Heure normale du Maroc"
 
 #: tzres.rc:141
 msgid "Morocco Daylight Time"
-msgstr ""
+msgstr "Heure avancée du Maroc"
 
 #: tzres.rc:72
-#, fuzzy
-#| msgid "Central European"
 msgid "Central Europe Standard Time"
-msgstr "Européen central"
+msgstr "Heure normale d'Europe centrale"
 
 #: tzres.rc:73
-#, fuzzy
-#| msgid "Central European"
 msgid "Central Europe Daylight Time"
-msgstr "Européen central"
+msgstr "Heure avancée d'Europe centrale"
 
 #: tzres.rc:118
 msgid "Iran Standard Time"
-msgstr ""
+msgstr "Heure normale d'Iran"
 
 #: tzres.rc:119
 msgid "Iran Daylight Time"
-msgstr ""
+msgstr "Heure avancée d'Iran"
 
 #: tzres.rc:150
 msgid "Namibia Standard Time"
@@ -9672,11 +9659,11 @@ msgstr ""
 
 #: tzres.rc:190
 msgid "Sri Lanka Standard Time"
-msgstr ""
+msgstr "Heure normale du Sri Lanka"
 
 #: tzres.rc:191
 msgid "Sri Lanka Daylight Time"
-msgstr ""
+msgstr "Heure avancée du Sri Lanka"
 
 #: tzres.rc:30
 msgid "Afghanistan Standard Time"
@@ -10230,10 +10217,8 @@ msgid "An internal error has occurred.\n"
 msgstr "Une erreur d'impression s'est produite."
 
 #: winineterror.mc:36
-#, fuzzy
-#| msgid "Path is invalid.\n"
 msgid "The URL is invalid.\n"
-msgstr "Chemin invalide.\n"
+msgstr "URL invalide.\n"
 
 #: winineterror.mc:41
 msgid "The URL scheme could not be recognized or is not supported.\n"
@@ -14054,10 +14039,8 @@ msgid "Adds a new binary value"
 msgstr "Ajoute une nouvelle valeur binaire"
 
 #: regedit.rc:174
-#, fuzzy
-#| msgid "Adds a new binary value"
 msgid "Adds a new 32-bit value"
-msgstr "Ajoute une nouvelle valeur binaire"
+msgstr "Ajoute une nouvelle valeur 32 bits"
 
 #: regedit.rc:177
 msgid "Imports a text file into the registry"
@@ -16388,10 +16371,8 @@ msgid "Expert"
 msgstr "Expert"
 
 #: winemine.rc:74 winemine.rc:33
-#, fuzzy
-#| msgid "Result"
 msgid "Reset Results"
-msgstr "Résultat"
+msgstr "Reinitialiser les résultats"
 
 #: winemine.rc:80
 msgid "Congratulations!"
-- 
2.20.1