From 00974fbac8dad277f8fad449700cb2a1153a86c6 Mon Sep 17 00:00:00 2001
From: Isira Seneviratne <isirasen96@gmail.com>
Date: Mon, 19 Aug 2019 18:30:23 +0530
Subject: [PATCH v2] po: Update Sinhala translation.

Signed-off-by: Isira Seneviratne <isirasen96@gmail.com>
---
 po/si.po | 79 +++++++++++++++++++++++++++++++-------------------------
 1 file changed, 44 insertions(+), 35 deletions(-)

diff --git a/po/si.po b/po/si.po
index 4db2297e6f..82f06d179a 100644
--- a/po/si.po
+++ b/po/si.po
@@ -6,7 +6,7 @@ msgstr ""
 "Project-Id-Version: Wine\n"
 "Report-Msgid-Bugs-To: https://bugs.winehq.org\n"
 "POT-Creation-Date: N/A\n"
-"PO-Revision-Date: 2019-06-07 08:42+0530\n"
+"PO-Revision-Date: 2019-09-05 09:36+0530\n"
 "Last-Translator: Isira Seneviratne <isirasen96@gmail.com>\n"
 "Language-Team: Sinhala\n"
 "Language: si\n"
@@ -1318,7 +1318,7 @@ msgstr "සහතික දිගු"
 
 #: crypt32.rc:44
 msgid "Next Update Location"
-msgstr ""
+msgstr "ඊලඟ යාවත්කාලීන කිරීම තැන"
 
 #: crypt32.rc:45
 msgid "Yes or No Trust"
@@ -1486,8 +1486,9 @@ msgid "Cross CA Version"
 msgstr "Cross CA අනුවාදය"
 
 #: crypt32.rc:86
+#, fuzzy
 msgid "Serialized Signature Serial Number"
-msgstr ""
+msgstr "අනුක්රමික අංකය"
 
 #: crypt32.rc:87
 msgid "Principal Name"
@@ -1527,15 +1528,15 @@ msgstr "අලුත්ම CRL එක"
 
 #: crypt32.rc:96
 msgid "Name Constraints"
-msgstr ""
+msgstr "නම අවහිරතා"
 
 #: crypt32.rc:97
 msgid "Policy Mappings"
-msgstr ""
+msgstr "ප්රතිපත්ති සිතියම්කරණ"
 
 #: crypt32.rc:98
 msgid "Policy Constraints"
-msgstr ""
+msgstr "ප්රතිපත්ති අවහිරතා"
 
 #: crypt32.rc:99
 msgid "Cross-Certificate Distribution Points"
@@ -1607,11 +1608,12 @@ msgstr "කලින් CA සහතික හෑෂ් එක"
 
 #: crypt32.rc:116
 msgid "Virtual Base CRL Number"
-msgstr ""
+msgstr "අතථ්‍ය Base CRL අංකය"
 
 #: crypt32.rc:117
+#, fuzzy
 msgid "Next CRL Publish"
-msgstr ""
+msgstr "ඊළඟ CRL"
 
 #: crypt32.rc:118
 msgid "CA Encryption Certificate"
@@ -1659,7 +1661,7 @@ msgstr "ලාභියා එකම අවස්ථාව"
 
 #: crypt32.rc:129
 msgid "Reg Info"
-msgstr ""
+msgstr "Reg තතු"
 
 #: crypt32.rc:130
 msgid "Get Certificate"
@@ -1714,8 +1716,9 @@ msgid "Time Stamping"
 msgstr "කාල මුද්රාව කිරීම"
 
 #: crypt32.rc:143
+#, fuzzy
 msgid "Microsoft Trust List Signing"
-msgstr ""
+msgstr "Microsoft"
 
 #: crypt32.rc:144
 msgid "Microsoft Time Stamping"
@@ -1763,7 +1766,7 @@ msgstr "වරපත සේවාදායකය තහවුරු කිරී
 
 #: crypt32.rc:155 cryptui.rc:146
 msgid "Smart Card Logon"
-msgstr ""
+msgstr "ස්මාට් කාඩ් පිවිසුම"
 
 #: crypt32.rc:156 cryptui.rc:142
 msgid "Digital Rights"
@@ -1975,7 +1978,7 @@ msgstr ""
 
 #: crypt32.rc:215
 msgid "Superseded"
-msgstr ""
+msgstr "ඉක්මවා ඇත"
 
 #: crypt32.rc:216
 msgid "Operation Ceased"
@@ -2209,8 +2212,9 @@ msgid "Select the certificate store you want to use:"
 msgstr "ඔබට පාවිච්චි කරන්න ඕනෙ සහතික ගබඩාව තෝරන්න:"
 
 #: cryptui.rc:279
+#, fuzzy
 msgid "&Show physical stores"
-msgstr ""
+msgstr "පෙන්නන්න"
 
 #: cryptui.rc:285 cryptui.rc:296 cryptui.rc:313 cryptui.rc:327 cryptui.rc:71
 msgid "Certificate Import Wizard"
@@ -2962,7 +2966,7 @@ msgstr "සිතියම්කරණය"
 
 #: dinput.rc:47
 msgid "Show Assigned First"
-msgstr ""
+msgstr "Assigned First පෙන්නන්න"
 
 #: dinput.rc:28
 msgid "Action"
@@ -3559,12 +3563,14 @@ msgid "Automation server can't create object"
 msgstr ""
 
 #: jscript.rc:33
+#, fuzzy
 msgid "Object doesn't support this property or method"
-msgstr ""
+msgstr "වස්තුව"
 
 #: jscript.rc:34
+#, fuzzy
 msgid "Object doesn't support this action"
-msgstr ""
+msgstr "වස්තුව"
 
 #: jscript.rc:35
 msgid "Argument not optional"
@@ -3600,11 +3606,11 @@ msgstr "අවලංගු අනුලකුණක්"
 
 #: jscript.rc:43
 msgid "Unterminated string constant"
-msgstr ""
+msgstr "අනුලකුණු වැල නියත නිම නැහැ"
 
 #: jscript.rc:44
 msgid "'return' statement outside of function"
-msgstr ""
+msgstr "'return' ප්‍රකාශය තියෙන්නේ ශ්‍රිතය එලියෙ"
 
 #: jscript.rc:45
 msgid "Can't have 'break' outside of loop"
@@ -3839,8 +3845,9 @@ msgid "Not DOS disk.\n"
 msgstr "DOS ඩිස්කයක් නෙමේ.\n"
 
 #: winerror.mc:163
+#, fuzzy
 msgid "Sector not found.\n"
-msgstr ""
+msgstr "හම්බු උනේ නැහැ.\n"
 
 #: winerror.mc:168
 msgid "Out of paper.\n"
@@ -4833,8 +4840,9 @@ msgid "Serial I/O counter timeout.\n"
 msgstr "අනුක්‍රමික I/O counter timeout.\n"
 
 #: winerror.mc:1408
+#, fuzzy
 msgid "Floppy ID address mark not found.\n"
-msgstr ""
+msgstr "හම්බු උනේ නැහැ.\n"
 
 #: winerror.mc:1413
 msgid "Floppy reports wrong cylinder.\n"
@@ -5682,7 +5690,7 @@ msgstr "පෞද්ගලික සංවාද සූචිය.\n"
 
 #: winerror.mc:2478
 msgid "List box ID not found.\n"
-msgstr ""
+msgstr "ලැයිස්තු කොටුවෙ ID එක හම්බු උනේ නැහැ.\n"
 
 #: winerror.mc:2483
 msgid "No wildcard characters.\n"
@@ -5702,7 +5710,7 @@ msgstr "සංවාද කවුළුවක් නෙමෙයි.\n"
 
 #: winerror.mc:2503
 msgid "Control ID not found.\n"
-msgstr ""
+msgstr "පාලකයෙ ID එක හම්බු උනේ නැහැ.\n"
 
 #: winerror.mc:2508
 msgid "Invalid combo box message.\n"
@@ -5962,7 +5970,7 @@ msgstr "ස්ථාපන පැකේජය වලංගු නැහැ.\n"
 
 #: winerror.mc:2828
 msgid "Installer user interface failed.\n"
-msgstr ""
+msgstr "ස්ථාපකය පරිශීලක අතුරුමුහුණත අසාර්ථක උනා.\n"
 
 #: winerror.mc:2833
 msgid "Failed to open installation log file.\n"
@@ -5973,8 +5981,9 @@ msgid "Installation language not supported.\n"
 msgstr "ස්ථාපනය භාෂාව සහාය නොදක්වයි.\n"
 
 #: winerror.mc:2843
+#, fuzzy
 msgid "Installation transform failed to apply.\n"
-msgstr ""
+msgstr "ස්ථාපනය"
 
 #: winerror.mc:2848
 msgid "Installation package rejected.\n"
@@ -6018,7 +6027,7 @@ msgstr "ස්ථාපකය පාවිච්චි කරලා නැහැ
 
 #: winerror.mc:2898
 msgid "Failed to open the patch package.\n"
-msgstr ""
+msgstr "සිදුර පැකේජය අරින්න බැරි උනා.\n"
 
 #: winerror.mc:2903
 msgid "Invalid patch package.\n"
@@ -6038,7 +6047,7 @@ msgstr "අවලංගු විධාන පේළිය.\n"
 
 #: winerror.mc:2923
 msgid "Remote installation not allowed.\n"
-msgstr ""
+msgstr "දුරස්ථ ස්ථාපනය කිරීම බැහැ.\n"
 
 #: winerror.mc:2928
 msgid "Reboot initiated after successful install.\n"
@@ -6086,7 +6095,7 @@ msgstr "අවලංගු කාලඡේදනය අගය.\n"
 
 #: winerror.mc:2983
 msgid "Object UUID not found.\n"
-msgstr ""
+msgstr "වස්තුව UUID එක හම්බු උනේ නැහැ.\n"
 
 #: winerror.mc:2988
 msgid "UUID already registered.\n"
@@ -7364,7 +7373,7 @@ msgstr ""
 
 #: msi.rc:103
 msgid "Copying network install files"
-msgstr ""
+msgstr "ජාල ස්ථාපන ගොනු පිටපත් කරනවා"
 
 #: msi.rc:104
 msgid "Copying new files"
@@ -12500,7 +12509,7 @@ msgstr ""
 
 #: oleview.rc:32
 msgid "&Bind to file..."
-msgstr ""
+msgstr "ගොනුවකකට බඳින්න... (&B)"
 
 #: oleview.rc:33
 msgid "&View TypeLib..."
@@ -12623,7 +12632,7 @@ msgstr ""
 
 #: oleview.rc:180
 msgid "Default Interface Viewer"
-msgstr ""
+msgstr "පෙරනිමි අතුරුමුහුණතක් දක්වනය"
 
 #: oleview.rc:183
 msgid "Interface"
@@ -13956,15 +13965,15 @@ msgstr ""
 
 #: taskmgr.rc:57 taskmgr.rc:158
 msgid "&High"
-msgstr ""
+msgstr "උස් (&H)"
 
 #: taskmgr.rc:58 taskmgr.rc:162
 msgid "&Normal"
-msgstr ""
+msgstr "සාමාන (&N)"
 
 #: taskmgr.rc:60 taskmgr.rc:166
 msgid "&Low"
-msgstr ""
+msgstr "අඩු (&L)"
 
 #: taskmgr.rc:61
 msgid "&Paused"
@@ -14295,11 +14304,11 @@ msgstr ""
 
 #: taskmgr.rc:521
 msgid "&Image Name"
-msgstr ""
+msgstr "රූප නම (&I)"
 
 #: taskmgr.rc:523
 msgid "&PID (Process Identifier)"
-msgstr ""
+msgstr "&PID (ක්‍රියාවලි හඳුනාගැනුම)"
 
 #: taskmgr.rc:525
 msgid "&CPU Usage"
-- 
2.23.0