From b64e6d654afe2134c92389e66411192e6fb73c3b Mon Sep 17 00:00:00 2001
From: Isira Seneviratne <isirasen96@gmail.com>
Date: Tue, 21 May 2019 12:19:49 +0530
Subject: [PATCH] Update Sinhala translation.

Signed-off-by: Isira Seneviratne <isirasen96@gmail.com>
---
 po/si.po | 100 ++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 62 insertions(+), 38 deletions(-)

diff --git a/po/si.po b/po/si.po
index a74c60ca02..733743c2bc 100644
--- a/po/si.po
+++ b/po/si.po
@@ -6,14 +6,14 @@ msgstr ""
 "Project-Id-Version: Wine\n"
 "Report-Msgid-Bugs-To: https://bugs.winehq.org\n"
 "POT-Creation-Date: N/A\n"
-"PO-Revision-Date: 2019-05-04 04:54+0530\n"
+"PO-Revision-Date: 2019-05-21 12:28+0530\n"
 "Last-Translator: Isira Seneviratne <isirasen96@gmail.com>\n"
 "Language-Team: Sinhala\n"
 "Language: si\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Generator: Lokalize 19.04.0\n"
+"X-Generator: Lokalize 19.04.1\n"
 "Plural-Forms: nplurals=2; plural=(n != 1);\n"
 
 #: appwiz.rc:58
@@ -25,7 +25,8 @@ msgid ""
 "To install a new program from a floppy disk, CD-ROM drive, or your hard "
 "drive, click Install."
 msgstr ""
-"නම්‍ය ඩිස්කයකින්, CD-ROM තැටියකින් හෝ දෘඪ තැටියකින් අලුත් වැඩසටහනක් ස්ථාපනය කරන්නට, \"ස්ථාපනය "
+"නම්‍ය ඩිස්කයකින්, CD-ROM තැටියකින් හෝ දෘඪ තැටියකින් අලුත් වැඩසටහනක් ස්ථාපනය"
+" කරන්නට, \"ස්ථාපනය "
 "කරන්න\" ඔබන්න."
 
 #: appwiz.rc:62
@@ -38,7 +39,8 @@ msgid ""
 "to modify its installed components, select it from the list and click Modify/"
 "Remove."
 msgstr ""
-"පහත මෘදුකාංග ස්වයංක්රීයවට ඉවත් කරන්න පුළුවන්. වැඩසටහනක් ඉවත් හෝ වෙනස් කරන්නට, ඒක ලැයිස්තුවෙන් "
+"පහත මෘදුකාංග ස්වයංක්රීයවට ඉවත් කරන්න පුළුවන්. වැඩසටහනක් ඉවත් හෝ වෙනස් කරන්නට,"
+" ඒක ලැයිස්තුවෙන් "
 "තෝරලා \"වෙනස්/ඉවත් කරන්න\" ඔබන්න."
 
 #: appwiz.rc:67
@@ -126,8 +128,10 @@ msgid ""
 "href=\"https://wiki.winehq.org/Gecko\">https://wiki.winehq.org/Gecko</a> for "
 "details."
 msgstr ""
-"Wine වලට Gecko පැකේජයක් සොයා ගන්න බැරි උනා අවශ්ය වෙන්නේ HTML යෙදුන යෙදුම් හරියට වැඩ "
-"කරන්නට. Wine වලට ඔයා වෙනුවෙන් ඒක ස්වයංක්රීයවට බාගත කරන්න හා ස්ථාපනය කරන්න පුළුවන්.\n"
+"Wine වලට Gecko පැකේජයක් සොයා ගන්න බැරි උනා අවශ්ය වෙන්නේ HTML යෙදුන යෙදුම්"
+" හරියට වැඩ "
+"කරන්නට. Wine වලට ඔයා වෙනුවෙන් ඒක ස්වයංක්රීයවට බාගත කරන්න හා ස්ථාපනය කරන්න"
+" පුළුවන්.\n"
 "\n"
 "සටහන: නිර්දේශ කරලා තියෙන්නේ ඔබගේ බෙදාහැරීම එකේ පැකේජ පාවිච්චි කරන්න. <a href="
 "\"https://wiki.winehq.org/Gecko\">https://wiki.winehq.org/Gecko</a> බලන්න "
@@ -172,11 +176,14 @@ msgid ""
 "href=\"https://wiki.winehq.org/Mono\">https://wiki.winehq.org/Mono</a> for "
 "details."
 msgstr ""
-"Wine වලට wine-mono පැකේජයක් සොයා ගන්න බැරි උනා අවශ්ය වෙන්නේ .NET යෙදුම් හරියට වැඩ "
-"කරන්නට. Wine වලට ඔයා වෙනුවෙන් ඒක ස්වයංක්රීයවට බාගත කරන්න හා ස්ථාපනය කරන්න පුළුවන්.\n"
+"Wine වලට wine-mono පැකේජයක් සොයා ගන්න බැරි උනා අවශ්ය වෙන්නේ .NET යෙදුම් හරියට"
+" වැඩ "
+"කරන්නට. Wine වලට ඔයා වෙනුවෙන් ඒක ස්වයංක්රීයවට බාගත කරන්න හා ස්ථාපනය කරන්න"
+" පුළුවන්.\n"
 "\n"
 "සටහන: නිර්දේශ කරලා තියෙන්නේ ඔබගේ බෙදාහැරීම එකේ පැකේජ පාවිච්චි කරන්න. <a href="
-"\"https://wiki.winehq.org/Mono\">https://wiki.winehq.org/Mono</a> බලන්න විස්තර "
+"\"https://wiki.winehq.org/Mono\">https://wiki.winehq.org/Mono</a> බලන්න"
+" විස්තර "
 "වලට."
 
 #: appwiz.rc:31
@@ -188,7 +195,8 @@ msgid ""
 "Allows you to install new software, or remove existing software from your "
 "computer."
 msgstr ""
-"ඔබට ඉඩ දෙනවා අලුත් මෘදුකාංග ස්ථාපනය කරන්නට, හෝ තියෙන මෘදුකාංග ඔබගේ පරිගණකෙන් ඉවත් "
+"ඔබට ඉඩ දෙනවා අලුත් මෘදුකාංග ස්ථාපනය කරන්නට, හෝ තියෙන මෘදුකාංග ඔබගේ පරිගණකෙන්"
+" ඉවත් "
 "කරන්නට."
 
 #: appwiz.rc:33 taskmgr.rc:262 winecfg.rc:33
@@ -200,7 +208,8 @@ msgid ""
 "Unable to execute the uninstaller, '%s'. Do you want to remove the uninstall "
 "entry for this program from the registry?"
 msgstr ""
-"'%s' අස්ථාපකය ක්රියාත්මක කරන්න බැහැ. ඔබට මේ ක්‍රමලේඛයේ අස්ථාපනය සටහන රෙජිස්ටරයෙන් ඉවත් "
+"'%s' අස්ථාපකය ක්රියාත්මක කරන්න බැහැ. ඔබට මේ ක්‍රමලේඛයේ අස්ථාපනය සටහන"
+" රෙජිස්ටරයෙන් ඉවත් "
 "කරන්න ඕනෙද?"
 
 #: appwiz.rc:36
@@ -249,7 +258,8 @@ msgid ""
 "Unexpected checksum of downloaded file. Aborting installation of corrupted "
 "file."
 msgstr ""
-"බාගත කරපු ගොනුවේ අපේක්ෂා කර නැති checksum එකක් තියෙනවා. සදොස් වෙච්ච ගොනුවේ ස්ථාපනය කිරීම "
+"බාගත කරපු ගොනුවේ අපේක්ෂා කර නැති checksum එකක් තියෙනවා. සදොස් වෙච්ච ගොනුවේ"
+" ස්ථාපනය කිරීම "
 "අහෝසි කරනවා."
 
 #: avifil32.rc:42
@@ -1060,7 +1070,8 @@ msgid ""
 "Before you can perform printer-related tasks such as page setup or printing "
 "a document, you need to install a printer. Please install one and retry."
 msgstr ""
-"පිටු හැඩතල හෝ ලේඛයක් මුද්‍රණ කරන්න වගේ මුද්‍රකයක වැඩ කරන්නට කලිං, මුද්රකයක් ස්ථාපන කරන්න ඕනේ. "
+"පිටු හැඩතල හෝ ලේඛයක් මුද්‍රණ කරන්න වගේ මුද්‍රකයක වැඩ කරන්නට කලිං, මුද්රකයක්"
+" ස්ථාපන කරන්න ඕනේ. "
 "කරුණාකරලා එකක් ස්ථාපනය කරන්න හා අයෙත් කරන්න හදන්න."
 
 #: comdlg32.rc:141
@@ -1302,7 +1313,7 @@ msgstr "CRL හේතුව කේතය"
 
 #: crypt32.rc:40
 msgid "CRL Distribution Points"
-msgstr ""
+msgstr "CRL බෙදාහැරීම ලකුණු"
 
 #: crypt32.rc:41
 msgid "Enhanced Key Usage"
@@ -1343,7 +1354,7 @@ msgstr "පණිවිඩයේ සාරසංග්‍රහය"
 
 #: crypt32.rc:50
 msgid "Signing Time"
-msgstr ""
+msgstr "අත්සන් කරන වෙලාව"
 
 #: crypt32.rc:51
 msgid "Counter Sign"
@@ -1452,7 +1463,7 @@ msgstr "ප්රාන්තය හෝ පළාත"
 
 #: crypt32.rc:77
 msgid "Title"
-msgstr ""
+msgstr "ශීර්ෂය"
 
 #: crypt32.rc:78
 msgid "Given Name"
@@ -1992,7 +2003,7 @@ msgstr ""
 
 #: crypt32.rc:218
 msgid "Financial Information="
-msgstr ""
+msgstr "මූල්‍ය තොරතුරු="
 
 #: crypt32.rc:219 taskmgr.rc:397
 msgid "Available"
@@ -2449,7 +2460,8 @@ msgstr "සහතිකයේ තොරතුරු"
 msgid ""
 "This certificate has an invalid signature. The certificate may have been "
 "altered or corrupted."
-msgstr "මේ සහතිකයට වලංගු නැති අත්සනක් තියෙනවා. සහතිකය වෙනස් කරලා හෝ සදොස් වෙලා ඇති."
+msgstr ""
+"මේ සහතිකයට වලංගු නැති අත්සනක් තියෙනවා. සහතිකය වෙනස් කරලා හෝ සදොස් වෙලා ඇති."
 
 #: cryptui.rc:33
 msgid ""
@@ -2939,7 +2951,7 @@ msgstr "සහතිකයක් තෝරන්න"
 
 #: cryptui.rc:181 winefile.rc:101 winhlp32.rc:110 winhlp32.rc:85
 msgid "Not yet implemented"
-msgstr ""
+msgstr "තවම හදල නැහැ"
 
 #: dinput.rc:34
 msgid "Configure Devices"
@@ -2951,7 +2963,7 @@ msgstr "නැවත සකසන්න"
 
 #: dinput.rc:42
 msgid "Player"
-msgstr ""
+msgstr "ක්‍රීඩකයා"
 
 #: dinput.rc:43 winecfg.rc:89
 msgid "Device"
@@ -3375,7 +3387,8 @@ msgid ""
 "preferences and login information."
 msgstr ""
 "කුකි\n"
-"ගොනු ඔබගේ පරිගණකේ සුරැකිලා වෙබ්-අඩවි වලින්, ඒවා ගබඩා කරන්නේ පරිශීලකගේ මනාපයන් හා ඇතුල් වෙන "
+"ගොනු ඔබගේ පරිගණකේ සුරැකිලා වෙබ්-අඩවි වලින්, ඒවා ගබඩා කරන්නේ පරිශීලකගේ මනාපයන්"
+" හා ඇතුල් වෙන "
 "විස්තර වැනි දේ."
 
 #: inetcpl.rc:75
@@ -4134,16 +4147,19 @@ msgid "Negative seek.\n"
 msgstr ""
 
 #: winerror.mc:533
+#, fuzzy
 msgid "Drive is a JOIN target.\n"
-msgstr ""
+msgstr "ධාවකය"
 
 #: winerror.mc:538
+#, fuzzy
 msgid "Drive is already JOINed.\n"
-msgstr ""
+msgstr "ධාවකය"
 
 #: winerror.mc:543
+#, fuzzy
 msgid "Drive is already SUBSTed.\n"
-msgstr ""
+msgstr "ධාවකය"
 
 #: winerror.mc:548
 msgid "Drive is not JOINed.\n"
@@ -4223,7 +4239,7 @@ msgstr "වෙළුමේ ලේබලය දිග වැඩි.\n"
 
 #: winerror.mc:643
 msgid "Too many TCBs.\n"
-msgstr ""
+msgstr "TCBs වැඩි.\n"
 
 #: winerror.mc:648
 msgid "Signal refused.\n"
@@ -4588,7 +4604,7 @@ msgstr "රෙජිස්තරය සදොස් වෙලා.\n"
 
 #: winerror.mc:1098
 msgid "I/O to registry failed.\n"
-msgstr ""
+msgstr "රෙජිස්තරයට I/O අසාර්ථක උනා.\n"
 
 #: winerror.mc:1103
 msgid "Not registry file.\n"
@@ -4830,11 +4846,12 @@ msgstr ""
 
 #: winerror.mc:1398
 msgid "Serial I/O completed.\n"
-msgstr ""
+msgstr "අනුක්‍රමික I/O ඉවරයි.\n"
 
 #: winerror.mc:1403
+#, fuzzy
 msgid "Serial I/O counter timeout.\n"
-msgstr ""
+msgstr "අනුක්‍රමික I/O"
 
 #: winerror.mc:1408
 msgid "Floppy ID address mark not found.\n"
@@ -5366,11 +5383,11 @@ msgstr ""
 
 #: winerror.mc:2073
 msgid "Too many LUIDs requested.\n"
-msgstr ""
+msgstr "LUIDs වැඩියෙන් ඉල්ලලා.\n"
 
 #: winerror.mc:2078
 msgid "LUIDs exhausted.\n"
-msgstr ""
+msgstr "LUIDs ඉවරයි.\n"
 
 #: winerror.mc:2083
 msgid "Invalid sub authority.\n"
@@ -7759,7 +7776,7 @@ msgstr "අනුචලන තීරුව"
 
 #: oleacc.rc:35
 msgid "grip"
-msgstr ""
+msgstr "ග්‍රහනය"
 
 #: oleacc.rc:36
 msgid "sound"
@@ -11994,7 +12011,8 @@ msgstr ""
 "\n"
 "NET START [සේවාව]\n"
 "\n"
-"ධාවන කරන සේවා ලැයිස්තුව පෙන්නනවා 'සේවාව' බැහැර කරොත්. 'සේවාව' කියන්නේ ධාවන කරන්න ඕනේ "
+"ධාවන කරන සේවා ලැයිස්තුව පෙන්නනවා 'සේවාව' බැහැර කරොත්. 'සේවාව' කියන්නේ ධාවන"
+" කරන්න ඕනේ "
 "සේවාවේ නම.\n"
 
 #: net.rc:32
@@ -13500,7 +13518,8 @@ msgid ""
 "regedit: Unable to convert hexadecimal data. An invalid value was "
 "encountered at '%1'.\n"
 msgstr ""
-"regedit: හෙක්සදෙසිමල්  දත්ත පරිවර්තනය කරන්න බැහැ. අවලංගු අගයක් හම්බු උනා '%1' ඇතුලේ.\n"
+"regedit: හෙක්සදෙසිමල්  දත්ත පරිවර්තනය කරන්න බැහැ. අවලංගු අගයක් හම්බු උනා '%1'"
+" ඇතුලේ.\n"
 
 #: regedit.rc:419
 msgid "regedit: Unrecognized escape sequence [\\%1!c!]\n"
@@ -13529,7 +13548,8 @@ msgstr "regedit: රෙජිස්තරයෙ යතුර '%1' විවෘ
 #: regedit.rc:425
 msgid ""
 "regedit: Unsupported registry data type [0x%1!x!] encountered in '%2'.\n"
-msgstr "regedit: සහාය නොදක්වන රෙජිස්තරය දත්ත වර්ගය [0x%1!x!] '%2' ඇතුලේ හම්බ උනා.\n"
+msgstr ""
+"regedit: සහාය නොදක්වන රෙජිස්තරය දත්ත වර්ගය [0x%1!x!] '%2' ඇතුලේ හම්බ උනා.\n"
 
 #: regedit.rc:426
 msgid "regedit: The registry value '%1' will be exported as binary data.\n"
@@ -13868,11 +13888,11 @@ msgstr "කාර්ය කළමනාකරුවෙන් පිටත් ව
 
 #: taskmgr.rc:45
 msgid "&Minimize On Use"
-msgstr ""
+msgstr "පාවිච්චි කරන කොට හකුලන්න (&M)"
 
 #: taskmgr.rc:47
 msgid "&Hide When Minimized"
-msgstr ""
+msgstr "හකුලලා තියෙන කොට හංගන්න (&H)"
 
 #: taskmgr.rc:49 taskmgr.rc:257
 msgid "&Show 16-bit tasks"
@@ -14661,7 +14681,8 @@ msgstr "uninstaller: GUID '%1' තියෙන යෙදුම හම්බු 
 #: uninstaller.rc:32
 msgid ""
 "uninstaller: The option '--remove' must be followed by an application GUID\n"
-msgstr "uninstaller: '--remove' විකල්පයට පස්සෙන් යෙදුමක UUID එකක් තියෙන්න ඕනේ\n"
+msgstr ""
+"uninstaller: '--remove' විකල්පයට පස්සෙන් යෙදුමක UUID එකක් තියෙන්න ඕනේ\n"
 
 #: uninstaller.rc:33
 msgid "uninstaller: Invalid option [%1]\n"
@@ -15522,6 +15543,9 @@ msgid ""
 "                           try to setup the current terminal as a Wine "
 "console.\n"
 msgstr ""
+"  --backend={user|curses}  user තෝරන කොට අලුත් කවුළුවක් හදනවා, curses\n"
+"                           වත්මන් terminal එක Wine කොන්සෝලයක් විදිහට හදන්න"
+" හදනවා .\n "
 
 #: wineconsole.rc:53
 msgid "  <command>                The Wine program to launch in the console.\n"
@@ -16015,7 +16039,7 @@ msgstr "වෙනස් කරා (&M)"
 
 #: wordpad.rc:60
 msgid "E&xtras"
-msgstr ""
+msgstr "අතිරේක (&X)"
 
 #: wordpad.rc:62
 msgid "Selection &info"
-- 
2.21.0